# dotfiles

nix flake config! this is just used on my personal computer

## users

this flake is built upon a single user system for all hosts, enforced by [`modules/user.nix`](./modules/user.nix). this makes it alot easier to make modules that use nixos and `home-manager`

for something more server oriented, check out [`nix-server`](https://git.reidlab.online/reidlab/nix-server)

## hosts

each host should have these files:
  - `default.nix`, contains everything relating to the basic system
  - `hardware.nix`, hardware configuration.

## todo

  - move common config such as bootloader and networking settings to [`default.nix`](./default.nix) or some other common spot
  - multi architecture configuration ([nix-systems](https://github.com/nix-systems/nix-systems)?)
  - bitwarden
  - sddm cursors no work :(
  - setup editorconfig everywhere
  - divide steam and gamemode?
  - laptop specific configuration (power profiles daemon, battery, etc)